Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.store
Class DirectoryProviderFactory

    java.lang.Object
      org.hibernate.search.store.DirectoryProviderFactory

    public class DirectoryProviderFactory

extends java.lang.Object

Create a Lucene directory provider which can be configured through the following properties:

- hibernate.search.default.*
- hibernate.search.<indexname>.*,

where <indexname> properties have precedence over default ones.

The implementation is described by hibernate.search.[default|indexname].directory_provider. If none is defined the default value is FSDirectory.

Author:
  Emmanuel Bernard, Sylvain Vieujot, Hardy Ferentschik, Sanne Grinovero

Nested Class Summary
`static class` | `DirectoryProviderFactory.DirectoryProviders`

Constructor Summary
`DirectoryProviderFactory()`

Method Summary
`DirectoryProviderFactory.DirectoryProviders` | `createDirectoryProviders(org.hibernate.annotations.common.reflection.XClass entity, SearchConfiguration cfg, SearchFactoryImplementor searchFactoryImplementor, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)`
`void` | `startDirectoryProviders()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryProviderFactory

    public DirectoryProviderFactory()

Method Detail

### createDirectoryProviders

    public DirectoryProviderFactory.DirectoryProviders createDirectoryProviders(org.hibernate.annotations.common.reflection.XClass entity,
                                                                                SearchConfiguration cfg,
                                                                                SearchFactoryImplementor searchFactoryImplementor,
                                                                                org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)

### startDirectoryProviders

    public void startDirectoryProviders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.